Joomla.it Forum

Non solo Joomla... => Sezione dedicata ai Server => Topic aperto da: valtere - 18 Dic 2020, 10:47:47

Titolo: Joomla 3.9 e versione PHP obsoleta
Inserito da: valtere - 18 Dic 2020, 10:47:47
salve a tuttisto preparando il nuovo portale intranet dell'ufficio, usando Ubuntu 16.04LTS (il max che posso installare su macchina virtuale ESX per problemi hardware) su cui ho installato Joomla 3.9.22sulla macchina server ho installato il PHP 7.4 (php -v mi da 7.4.12) ma entrando da admin in joomla ho l'avviso che sto usando 7.0.33.
Verificando poi in /etc/php/ vedo che ho le versioni 7.0, 7.3 e 7.4  e sicuramente è questo il problema
come posso risolvere ??presumo che non basti un semplice apt-get remove php7.0
grazie e buona giornataValter


ho rischiato! da terminale ho provato a rimuovere php7.0 ed addirittura mi dice che non è stato installato pertanto non può rimuoverlo (ovviamente)
Titolo: Re:Joomla 3.9 e versione PHP obsoleta
Inserito da: renzo973 - 19 Dic 2020, 18:11:10
credo che tu abbia sbagliato sezione, comunque un sudo apt remove php 7.x  dovrebbe bastare.
In ogni caso, se ti fai un giro sul forum di ubuntu-it trovi tutte le risposte ;)
Titolo: Re:Joomla 3.9 e versione PHP obsoleta
Inserito da: valtere - 20 Dic 2020, 19:31:48
purtroppo non è bastato...non voglio impantanarmi in cose troppo difficili per mepenserò seriamente a migrare alla 18.04
grazie a tuttiValter
Titolo: Re:Joomla 3.9 e versione PHP obsoleta
Inserito da: giusebos - 20 Dic 2020, 23:50:25
scusa ma se lavori con una VM, perchè non usi una versione più leggera di linux tipo debian o centos?
Titolo: Re:Joomla 3.9 e versione PHP obsoleta
Inserito da: valtere - 21 Dic 2020, 05:51:50
a dire il vero non ci ho mai pensato....ho cominciato con Ubuntu 6 (versione desktop) e sono rimasto sempre con questo prodotto, sempre desktop, solo per avere la console grafica..ed esser più pratico nel copiare file verso hd esterni....alla fine di tutto il resto delle applicazioni non mi serve nulla 
in effetti forse la Debian nativa potrebbe essere una soluzione
mi sa che ci proverò...grazie del suggerimentoValter
Titolo: Re:Joomla 3.9 e versione PHP obsoleta
Inserito da: renzo973 - 21 Dic 2020, 06:00:48
ma Ubuntu lo usi come web server? e se usassi xampp, ad esempio?
Titolo: Re:Joomla 3.9 e versione PHP obsoleta
Inserito da: valtere - 21 Dic 2020, 18:46:49
si esatto, pura macchina webserver che lavora in intranet, niente di particolare, solo un portale con joomla (adesso la 1.5.7 ma sto preparando il nuovo) con notiziie di lavoro e informazioni varie
davanti a tutto ci sta un firewall gestito da ente superiore, perciò dovrei essere abbastanza tranquillo
ormai ho preso mano con Ubuntu.....ma si può sempre provare altro